Skip to main content
GET
/
v1
/
financials
/
income-statements
Get Income Statements
curl --request GET \
  --url https://api.aries.com/v1/financials/income-statements \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "basicEarningsPerShare": 0.13,
      "basicSharesOutstanding": 25299176000,
      "cik": "0000320193",
      "consolidatedNetIncomeLoss": 3378000000,
      "costOfRevenue": 9272000000,
      "dilutedEarningsPerShare": 0.13,
      "dilutedSharesOutstanding": 25753924000,
      "ebitda": 4934000000,
      "filingDate": "2011-01-19",
      "fiscalQuarter": 1,
      "fiscalYear": 2010,
      "grossProfit": 6411000000,
      "incomeBeforeIncomeTaxes": 4758000000,
      "incomeTaxes": 1380000000,
      "netIncomeLossAttributableCommonShareholders": 3378000000,
      "operatingIncome": 4725000000,
      "otherIncomeExpense": 33000000,
      "otherOperatingExpenses": 0,
      "periodEnd": "2009-12-26",
      "researchDevelopment": 398000000,
      "revenue": 15683000000,
      "sellingGeneralAdministrative": 1288000000,
      "tickers": [
        "AAPL"
      ],
      "timeframe": "quarterly",
      "totalOperatingExpenses": 1686000000,
      "totalOtherIncomeExpense": 33000000
    }
  ],
  "status": "OK",
  "requestId": "87fbffe186684ff1a4297e43d17fa8f7",
  "nextUrl": "https://api.aries.com/v1/financials/income-statements?limit=5&next=AiYPBEFBUEwpDwlxdWFydGVybHkCAgABAQABAQUAAgEJ-_B0AQ8KMDAwMDMyMDE5Mw%3D%3D&tickersAnyOf=AAPL&timeframe=quarterly"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

cik
string

Exact CIK

ciks
string

Comma-separated CIKs (maps to cik.any_of)

cikAfter
string

CIK greater than (exclusive)

cikFrom
string

CIK greater than or equal (inclusive)

cikBefore
string

CIK less than (exclusive)

cikTo
string

CIK less than or equal (inclusive)

periodEnd
string<date>

Period end date (exact)

periodEndAfter
string<date>

Period end after (exclusive)

periodEndFrom
string<date>

Period end from (inclusive)

periodEndBefore
string<date>

Period end before (exclusive)

periodEndTo
string<date>

Period end to (inclusive)

filingDate
string<date>

Filing date (exact)

filingDateAfter
string<date>

Filing date after (exclusive)

filingDateFrom
string<date>

Filing date from (inclusive)

filingDateBefore
string<date>

Filing date before (exclusive)

filingDateTo
string<date>

Filing date to (inclusive)

tickers
string

Ticker filter (provider-specific)

tickersAllOf
string

Tickers all of (tickers.all_of)

tickersAnyOf
string

Tickers any of (tickers.any_of)

fiscalYear
number<double>

Fiscal year (exact)

fiscalYearAbove
number<double>

Fiscal year greater than (exclusive)

fiscalYearMin
number<double>

Fiscal year greater than or equal (inclusive)

fiscalYearBelow
number<double>

Fiscal year less than (exclusive)

fiscalYearMax
number<double>

Fiscal year less than or equal (inclusive)

fiscalQuarter
number<double>

Fiscal quarter (exact)

fiscalQuarterAbove
number<double>

Fiscal quarter greater than (exclusive)

fiscalQuarterMin
number<double>

Fiscal quarter greater than or equal (inclusive)

fiscalQuarterBelow
number<double>

Fiscal quarter less than (exclusive)

fiscalQuarterMax
number<double>

Fiscal quarter less than or equal (inclusive)

timeframe
string

Reporting timeframe (e.g. quarterly, annual)

timeframeAnyOf
string

Timeframe any of

timeframeAfter
string

Timeframe greater than (exclusive)

timeframeFrom
string

Timeframe greater than or equal (inclusive)

timeframeBefore
string

Timeframe less than (exclusive)

timeframeTo
string

Timeframe less than or equal (inclusive)

maxTicker
string

Max ticker (exact)

maxTickerAnyOf
string

Max ticker any of

maxTickerAfter
string

Max ticker greater than (exclusive)

maxTickerFrom
string

Max ticker greater than or equal (inclusive)

maxTickerBefore
string

Max ticker less than (exclusive)

maxTickerTo
string

Max ticker less than or equal (inclusive)

minTicker
string

Min ticker (exact)

minTickerAnyOf
string

Min ticker any of

minTickerAfter
string

Min ticker greater than (exclusive)

minTickerFrom
string

Min ticker greater than or equal (inclusive)

minTickerBefore
string

Min ticker less than (exclusive)

minTickerTo
string

Min ticker less than or equal (inclusive)

limit
integer

Maximum number of results per page

Required range: x >= 1
sort
string

Sort field for provider results

next
string

Pagination cursor (sent to provider as cursor)

Response

Successful response with one or more SEC income statement rows, provider status, request id, and optional nextUrl for pagination.

Paginated SEC income statements (results, status, requestId, nextUrl).

results
object[]
required
status
string
required
requestId
string
required
nextUrl
string

URL for the next page when more results exist